const imgContainerList = document.querySelectorAll('.coursel-container')
for (var i = 0; i < imgContainerList.length; i++) {
    const imgContainer = imgContainerList[i].querySelector('.coursel-move-img-box')
    const right = imgContainerList[i].querySelector('.coursel-container-right')
    const left = imgContainerList[i].querySelector('.coursel-container-left')
    imgContainer.insertBefore(imgContainer.firstElementChild.cloneNode(true), imgContainer.firstElementChild)
    imgContainer.append(imgContainer.lastElementChild.cloneNode(true))
    const imags = imgContainer.querySelectorAll('.coursel-container-img')
    //切換速度
    const timeSpeed = imgContainerList[i].getAttribute('data-speed') * 1000
    //切换方向
    const scoll = imgContainerList[i].getAttribute('data-scoll') || 'slide'
    //切换动画
    const animation = imgContainerList[i].getAttribute('data-animation') || false

    //如果垂直轮播 吧图片列表设置成垂直排列
    if (scoll === 'vertical') {
        for (var j = 0; j < imags.length; j++) {
            imags[j].style.display = 'block'
        }
    }
    //淡入淡出
    if(animation === 'fade'){
        let current = 0
        startPlay(timeSpeed)
        function startPlay(downTime) {
            timer = setInterval(() => {
                current++
                for (var i = 0; i < imags.length; i++) {
                    imags[i].style.opacity = 0
                }
                if (current >= imags.length - 1) { current = 1 ;  imags[current].style.transition = '0s'}
                setTimeout(() => {
                    imags[current].style.opacity = 1
                    imags[current].style.transition = `${timeSpeed}ms`
                })
              
            }, downTime)
        }
      
    }else{
        let current = 0
        imgContainer.style.transform = getTransform(scoll,1)
        startPlay(timeSpeed)
        function startPlay(downTime) {
            timer = setInterval(() => {
                current++
                if (current >= imags.length - 1) {
                    current = 1
                    imgContainer.style.transform = getTransform(scoll, current-1)
                    imgContainer.style.transition = '0s'
                }
                setTimeout(() => {
                    imgContainer.style.transform = getTransform(scoll,current)
                    imgContainer.style.transitionDuration = `300ms`
                })
            }, downTime)
        } 
    }


    left.onclick = function () {
        clearInterval(timer)
        current = current - 1 >= 0 ? current - 1 : imags.length - 1
        imgContainer.style.transform = getTransform(scoll,current)
        // imgContainer.style.transitionDuration = `300ms`
        startPlay(60)
    }

    right.onclick = function () {
        clearInterval(timer)
        current = current + 1 < imags.length ? current + 1 : 0
        imgContainer.style.transform = getTransform(scoll,current)
        // imgContainer.style.transitionDuration = `300ms`
        startPlay(60)
    }
}

function getTransform(scoll, current) {
    if (scoll === 'vertical') {
        return `translate3d(0px, -${250 * current}px, 0px)`
    } else {
        return `translate3d(-${720 * current}px, 0px, 0px)`
    }
}